apiVersion: apps/v1
kind: Deployment
metadata:
  name: guildion-web
  labels:
    app: guildion-web
spec:
  replicas: 1
  selector:
    matchLabels:
      app: guildion-web
  template:
    metadata:
      name: guildion-web
      labels:
        app: guildion-web
      annotations:
        commit_sha: $CI_COMMIT_SHA
    spec:
      nodeSelector:
        spot: "true"
      containers:
        - name: web
          image: guildion-web
          imagePullPolicy: "Always"
          ports:
            - containerPort: 7000
          readinessProbe:
            httpGet:
              path: /api/health
              port: 7000
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 3
            failureThreshold: 3
          livenessProbe:
            httpGet:
              path: /api/health
              port: 7000
            periodSeconds: 10
            initialDelaySeconds: 60
          envFrom:
            - configMapRef:
                name: guildion-web
            - secretRef:
                name: guildion-web